View a markdown version of this page

DeleteDomain - Amazon DataZone

DeleteDomain

Deletes a Amazon DataZone domain.

Request Syntax

DELETE /v2/domains/identifier?cascadeDelete=cascadeDelete&clientToken=clientToken&skipDeletionCheck=skipDeletionCheck HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

cascadeDelete

Specifies whether to delete the domain along with all of its associated resources. When you use this parameter, Amazon DataZone deletes the domain and cleanly removes its associated resources without leaving orphaned resources behind. Amazon DataZone reports deletion progress in the deleteProgress field. Amazon DataZone reports any resources that it can't delete in the failureReasons field of the GetDomain response. You can't use this parameter together with skipDeletionCheck. If you don't specify a value, the default is false.

clientToken

A unique, case-sensitive identifier that is provided to ensure the idempotency of the request.

identifier

The identifier of the AWS domain that is to be deleted.

Pattern: dzd[-_][a-zA-Z0-9_-]{1,36}

Required: Yes

skipDeletionCheck

Specifies whether to skip the check that prevents deletion of a domain that still contains resources. When you use this parameter, Amazon DataZone deletes the domain but might not remove its associated resources, which can leave orphaned resources behind. To delete a domain and fully clean up its associated resources, use cascadeDelete instead. You can't use this parameter together with cascadeDelete.

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 202 Content-type: application/json { "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

status

The status of the domain.

Type: String

Valid Values: CREATING | AVAILABLE | CREATION_FAILED | DELETING | DELETED | DELETION_FAILED

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

There is a conflict while performing this action.

HTTP Status Code: 409

InternalServerException

The request has failed because of an unknown error, exception or failure.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource cannot be found.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

UnauthorizedException

You do not have permission to perform this action.

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: